[arch-commits] Commit in udev/repos (3 files)

Thomas Bächler thomas at archlinux.org
Sun Jun 7 07:49:34 EDT 2009


    Date: Sunday, June 7, 2009 @ 07:49:34
  Author: thomas
Revision: 41808

Merged revisions 41788 via svnmerge from 
svn+ssh://archlinux.org/srv/svn-packages/udev/trunk

........
  r41788 | thomas | 2009-06-07 13:38:23 +0200 (So, 07 Jun 2009) | 2 lines
  
  Fix resolve-modalias, Allan broke the previous package by not noticing that it failed to build
........

Modified:
  udev/repos/testing-i686/	(properties)
  udev/repos/testing-i686/PKGBUILD
  udev/repos/testing-i686/resolve-modalias.c

--------------------+
 PKGBUILD           |    6 +++---
 resolve-modalias.c |    4 ++--
 2 files changed, 5 insertions(+), 5 deletions(-)


Property changes on: udev/repos/testing-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /udev/trunk:1-41755
   + /udev/trunk:1-41807

Modified: testing-i686/PKGBUILD
===================================================================
--- testing-i686/PKGBUILD	2009-06-07 11:47:03 UTC (rev 41807)
+++ testing-i686/PKGBUILD	2009-06-07 11:49:34 UTC (rev 41808)
@@ -4,7 +4,7 @@
 # Maintainer: Thomas Bächler <thomas at archlinux.org>
 pkgname=udev
 pkgver=141
-pkgrel=2
+pkgrel=3
 pkgdesc="The userspace dev tools (udev)"
 arch=(i686 x86_64)
 url="http://www.kernel.org/pub/linux/utils/kernel/hotplug/udev.html"
@@ -28,7 +28,7 @@
 md5sums=('1670fe81cabf5161319c52084cf81134'
          '4a7007a8e4102858fa7b9012c96038bf'
          'f4951f61438d69894b728212dac7318b'
-         'e0d7ab73ec42eb81947daf23e224c0fb'
+         '64a0169dc9d883a63ff9f8f491fdc34a'
          '2e808ee78d237c478b57af2a68d43769'
          '2d6dc6842464f107bccc68cd505a6c31'
          '03a82da74c5724d4a80a24a12e218abc'
@@ -49,7 +49,7 @@
   # install our module loading subsystem
   install -D -m755 $srcdir/load-modules.sh $pkgdir/lib/udev/load-modules.sh
   install -d -m755 $pkgdir/bin
-  gcc -Wall $CFLAGS -o $pkgdir/bin/resolve-modalias $srcdir/resolve-modalias.c
+  gcc -Wall $CFLAGS -o $pkgdir/bin/resolve-modalias $srcdir/resolve-modalias.c || return 1
   # install cdsymlinks.sh
   install -D -m755 $srcdir/cdsymlinks.sh $pkgdir/lib/udev/cdsymlinks.sh
   # install root-link.sh

Modified: testing-i686/resolve-modalias.c
===================================================================
--- testing-i686/resolve-modalias.c	2009-06-07 11:47:03 UTC (rev 41807)
+++ testing-i686/resolve-modalias.c	2009-06-07 11:49:34 UTC (rev 41808)
@@ -3,7 +3,7 @@
 #include <string.h>
 #include <malloc.h>
 
-static char *getline(FILE *file) {
+static char *my_getline(FILE *file) {
   static size_t size = 1024;
   static char *buf = NULL;
   static unsigned int i = 0, r = 0;;
@@ -56,7 +56,7 @@
     return 1;
   }
 
-  while((line=getline(f))!=NULL) {
+  while((line=my_getline(f))!=NULL) {
     if(!strncmp(line, "alias", strlen("alias"))) {
       pos1 = index(line, ' ');
       pos2 = index(pos1+1, ' ');



More information about the arch-commits mailing list